#
# Module manifest for module 'Az.Sql'
#
# Generated by: Microsoft Corporation
#
# Generated on: 11/10/2023
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Sql.psm1'

# Version number of this module.
ModuleVersion = '4.11.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'f088f4ab-1b59-4836-a6e0-4e14d15800c6'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - SQL service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.

For more information on SQL, please visit the following: https://learn.microsoft.com/azure/sql-database/'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Microsoft.Azure.PowerShell.Sql.Management.Sdk.dll', 
               'Microsoft.Azure.PowerShell.Cmdlets.Sql.LegacySdk.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
TypesToProcess = 'Sql.types.ps1xml'

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Sql.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Invoke-AzSqlServerExternalGovernanceStatusRefresh', 
               'Get-AzSqlDatabaseTransparentDataEncryption', 
               'Set-AzSqlDatabaseTransparentDataEncryption', 
               'Get-AzSqlDatabaseUpgradeHint', 'Get-AzSqlServerUpgradeHint', 
               'Get-AzSqlServerServiceObjective', 
               'Get-AzSqlServerActiveDirectoryAdministrator', 
               'Remove-AzSqlServerActiveDirectoryAdministrator', 
               'Set-AzSqlServerActiveDirectoryAdministrator', 'Get-AzSqlServer', 
               'New-AzSqlServer', 'Remove-AzSqlServer', 'Set-AzSqlServer', 
               'Get-AzSqlServerCommunicationLink', 
               'New-AzSqlServerCommunicationLink', 
               'Remove-AzSqlServerCommunicationLink', 
               'Get-AzSqlDatabaseReplicationLink', 'New-AzSqlDatabaseCopy', 
               'New-AzSqlDatabaseSecondary', 'Remove-AzSqlDatabaseSecondary', 
               'Set-AzSqlDatabaseSecondary', 'Get-AzSqlElasticPoolRecommendation', 
               'Get-AzSqlDatabaseIndexRecommendation', 
               'Start-AzSqlDatabaseExecuteIndexRecommendation', 
               'Stop-AzSqlDatabaseExecuteIndexRecommendation', 
               'Get-AzSqlServerFirewallRule', 'New-AzSqlServerFirewallRule', 
               'Remove-AzSqlServerFirewallRule', 'Set-AzSqlServerFirewallRule', 
               'Get-AzSqlServerIpv6FirewallRule', 
               'New-AzSqlServerIpv6FirewallRule', 
               'Remove-AzSqlServerIpv6FirewallRule', 
               'Set-AzSqlServerIpv6FirewallRule', 
               'Get-AzSqlServerOutboundFirewallRule', 
               'New-AzSqlServerOutboundFirewallRule', 
               'Remove-AzSqlServerOutboundFirewallRule', 'Get-AzSqlElasticPool', 
               'Get-AzSqlElasticPoolActivity', 'Get-AzSqlElasticPoolDatabase', 
               'New-AzSqlElasticPool', 'Remove-AzSqlElasticPool', 
               'Set-AzSqlElasticPool', 
               'Get-AzSqlServerDisasterRecoveryConfiguration', 
               'Get-AzSqlServerDisasterRecoveryConfigurationActivity', 
               'New-AzSqlServerDisasterRecoveryConfiguration', 
               'Remove-AzSqlServerDisasterRecoveryConfiguration', 
               'Set-AzSqlServerDisasterRecoveryConfiguration', 
               'Resume-AzSqlDatabase', 'Suspend-AzSqlDatabase', 
               'Get-AzSqlDatabaseDataMaskingPolicy', 
               'Get-AzSqlDatabaseDataMaskingRule', 
               'New-AzSqlDatabaseDataMaskingRule', 
               'Remove-AzSqlDatabaseDataMaskingRule', 
               'Set-AzSqlDatabaseDataMaskingPolicy', 
               'Set-AzSqlDatabaseDataMaskingRule', 'Get-AzSqlCapability', 
               'Get-AzSqlDatabase', 'Get-AzSqlDatabaseActivity', 
               'Get-AzSqlDatabaseExpanded', 'New-AzSqlDatabase', 
               'Remove-AzSqlDatabase', 'Set-AzSqlDatabase', 
               'Get-AzSqlDatabaseImportExportStatus', 'New-AzSqlDatabaseExport', 
               'New-AzSqlDatabaseImport', 'Get-AzSqlDatabaseGeoBackupPolicy', 
               'Set-AzSqlDatabaseGeoBackupPolicy', 
               'Get-AzSqlDatabaseBackupShortTermRetentionPolicy', 
               'Set-AzSqlDatabaseBackupShortTermRetentionPolicy', 
               'Get-AzSqlDatabaseBackupLongTermRetentionPolicy', 
               'Set-AzSqlDatabaseBackupLongTermRetentionPolicy', 
               'Get-AzSqlDatabaseLongTermRetentionBackup', 
               'Update-AzSqlDatabaseLongTermRetentionBackup', 
               'Copy-AzSqlDatabaseLongTermRetentionBackup', 
               'Remove-AzSqlDatabaseLongTermRetentionBackup', 
               'Get-AzSqlDeletedDatabaseBackup', 'Get-AzSqlDatabaseGeoBackup', 
               'Restore-AzSqlDatabase', 'Get-AzSqlDatabaseRestorePoint', 
               'Get-AzSqlDatabaseRecommendedAction', 
               'Get-AzSqlElasticPoolRecommendedAction', 
               'Get-AzSqlServerRecommendedAction', 
               'Set-AzSqlDatabaseRecommendedActionState', 
               'Set-AzSqlElasticPoolRecommendedActionState', 
               'Set-AzSqlServerRecommendedActionState', 
               'Get-AzSqlElasticPoolAdvisor', 'Get-AzSqlServerAdvisor', 
               'Set-AzSqlElasticPoolAdvisorAutoExecuteStatus', 
               'Set-AzSqlServerAdvisorAutoExecuteStatus', 
               'Get-AzSqlDatabaseAdvisor', 
               'Set-AzSqlDatabaseAdvisorAutoExecuteStatus', 
               'Get-AzSqlServerTransparentDataEncryptionProtector', 
               'Set-AzSqlServerTransparentDataEncryptionProtector', 
               'Add-AzSqlServerKeyVaultKey', 'Get-AzSqlServerKeyVaultKey', 
               'Remove-AzSqlServerKeyVaultKey', 'Get-AzSqlDatabaseFailoverGroup', 
               'New-AzSqlDatabaseFailoverGroup', 
               'Add-AzSqlDatabaseToFailoverGroup', 
               'Remove-AzSqlDatabaseFromFailoverGroup', 
               'Remove-AzSqlDatabaseFailoverGroup', 
               'Set-AzSqlDatabaseFailoverGroup', 
               'Switch-AzSqlDatabaseFailoverGroup', 'New-AzSqlSyncGroup', 
               'Update-AzSqlSyncGroup', 'Get-AzSqlSyncGroup', 
               'Get-AzSqlSyncGroupLog', 'Remove-AzSqlSyncGroup', 
               'Update-AzSqlSyncSchema', 'Get-AzSqlSyncSchema', 
               'Start-AzSqlSyncGroupSync', 'Stop-AzSqlSyncGroupSync', 
               'New-AzSqlSyncMember', 'Update-AzSqlSyncMember', 
               'Get-AzSqlSyncMember', 'Remove-AzSqlSyncMember', 'New-AzSqlSyncAgent', 
               'Get-AzSqlSyncAgent', 'Remove-AzSqlSyncAgent', 
               'New-AzSqlSyncAgentKey', 'Get-AzSqlSyncAgentLinkedDatabase', 
               'New-AzSqlServerVirtualNetworkRule', 
               'Set-AzSqlServerVirtualNetworkRule', 
               'Get-AzSqlServerVirtualNetworkRule', 
               'Remove-AzSqlServerVirtualNetworkRule', 
               'Stop-AzSqlDatabaseActivity', 'Get-AzSqlServerDnsAlias', 
               'Remove-AzSqlServerDnsAlias', 'New-AzSqlServerDnsAlias', 
               'Set-AzSqlServerDnsAlias', 'New-AzSqlDatabaseRestorePoint', 
               'Remove-AzSqlDatabaseRestorePoint', 'Stop-AzSqlElasticPoolActivity', 
               'Add-AzSqlServerTransparentDataEncryptionCertificate', 
               'Add-AzSqlManagedInstanceTransparentDataEncryptionCertificate', 
               'Update-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Set-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Convert-AzSqlDatabaseVulnerabilityAssessmentScan', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentScanRecord', 
               'Start-AzSqlDatabaseVulnerabilityAssessmentScan', 
               'Get-AzSqlInstance', 'New-AzSqlInstance', 'Remove-AzSqlInstance', 
               'Get-AzSqlInstanceOperation', 'Stop-AzSqlInstanceOperation', 
               'Set-AzSqlInstance', 'Get-AzSqlInstanceDatabase', 
               'New-AzSqlInstanceDatabase', 'Remove-AzSqlInstanceDatabase', 
               'Restore-AzSqlInstanceDatabase', 
               'Update-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Set-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Convert-AzSqlInstanceDatabaseVulnerabilityAssessmentScan', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentScanRecord', 
               'Start-AzSqlInstanceDatabaseVulnerabilityAssessmentScan', 
               'Enable-AzSqlInstanceAdvancedDataSecurity', 
               'Disable-AzSqlInstanceAdvancedDataSecurity', 
               'Get-AzSqlInstanceAdvancedDataSecurityPolicy', 
               'Get-AzSqlInstanceDatabaseGeoBackup', 
               'Get-AzSqlInstanceDatabaseBackupShortTermRetentionPolicy', 
               'Set-AzSqlInstanceDatabaseBackupShortTermRetentionPolicy', 
               'Get-AzSqlDeletedInstanceDatabaseBackup', 
               'Update-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Get-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Update-AzSqlServerVulnerabilityAssessmentSetting', 
               'Get-AzSqlServerVulnerabilityAssessmentSetting', 
               'Clear-AzSqlServerVulnerabilityAssessmentSetting', 
               'Get-AzSqlDatabaseSensitivityClassification', 
               'Get-AzSqlInstanceDatabaseSensitivityClassification', 
               'Set-AzSqlDatabaseSensitivityClassification', 
               'Set-AzSqlInstanceDatabaseSensitivityClassification', 
               'Remove-AzSqlDatabaseSensitivityClassification', 
               'Remove-AzSqlInstanceDatabaseSensitivityClassification', 
               'Get-AzSqlDatabaseSensitivityRecommendation', 
               'Get-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Get-AzSqlVirtualCluster', 'Remove-AzSqlVirtualCluster', 
               'Enable-AzSqlServerAdvancedDataSecurity', 
               'Disable-AzSqlServerAdvancedDataSecurity', 
               'Get-AzSqlServerAdvancedDataSecurityPolicy', 
               'Get-AzSqlDatabaseInstanceFailoverGroup', 
               'New-AzSqlDatabaseInstanceFailoverGroup', 
               'Remove-AzSqlDatabaseInstanceFailoverGroup', 
               'Set-AzSqlDatabaseInstanceFailoverGroup', 
               'Switch-AzSqlDatabaseInstanceFailoverGroup', 
               'Add-AzSqlInstanceKeyVaultKey', 'Get-AzSqlInstanceKeyVaultKey', 
               'Remove-AzSqlInstanceKeyVaultKey', 
               'Get-AzSqlInstanceTransparentDataEncryptionProtector', 
               'Set-AzSqlInstanceTransparentDataEncryptionProtector', 
               'Get-AzSqlServerAudit', 'Get-AzSqlDatabaseAudit', 
               'Set-AzSqlServerAudit', 'Set-AzSqlDatabaseAudit', 
               'Get-AzSqlServerMSSupportAudit', 'Set-AzSqlServerMSSupportAudit', 
               'Remove-AzSqlServerMSSupportAudit', 
               'Get-AzSqlInstanceActiveDirectoryAdministrator', 
               'Remove-AzSqlInstanceActiveDirectoryAdministrator', 
               'Set-AzSqlInstanceActiveDirectoryAdministrator', 
               'Remove-AzSqlServerAudit', 'Remove-AzSqlDatabaseAudit', 
               'Get-AzSqlInstancePool', 'Set-AzSqlInstancePool', 
               'New-AzSqlInstancePool', 'Remove-AzSqlInstancePool', 
               'Get-AzSqlInstancePoolUsage', 'Invoke-AzSqlDatabaseFailover', 
               'Invoke-AzSqlElasticPoolFailover', 'New-AzSqlElasticJobAgent', 
               'Remove-AzSqlElasticJobAgent', 'Get-AzSqlElasticJobAgent', 
               'Set-AzSqlElasticJobAgent', 'New-AzSqlElasticJobCredential', 
               'Get-AzSqlElasticJobCredential', 'Set-AzSqlElasticJobCredential', 
               'Remove-AzSqlElasticJobCredential', 
               'New-AzSqlElasticJobTargetGroup', 'Get-AzSqlElasticJobTargetGroup', 
               'Remove-AzSqlElasticJobTargetGroup', 'Add-AzSqlElasticJobTarget', 
               'Remove-AzSqlElasticJobTarget', 'New-AzSqlElasticJob', 
               'Get-AzSqlElasticJob', 'Set-AzSqlElasticJob', 
               'Remove-AzSqlElasticJob', 'Add-AzSqlElasticJobStep', 
               'Get-AzSqlElasticJobStep', 'Remove-AzSqlElasticJobStep', 
               'Set-AzSqlElasticJobStep', 'Start-AzSqlElasticJob', 
               'Stop-AzSqlElasticJob', 'Get-AzSqlElasticJobExecution', 
               'Get-AzSqlElasticJobStepExecution', 
               'Get-AzSqlElasticJobTargetExecution', 
               'New-AzSqlElasticJobPrivateEndpoint', 
               'Get-AzSqlElasticJobPrivateEndpoint', 
               'Remove-AzSqlElasticJobPrivateEndpoint', 
               'Enable-AzSqlDatabaseSensitivityRecommendation', 
               'Disable-AzSqlDatabaseSensitivityRecommendation', 
               'Enable-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Disable-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Get-AzSqlInstanceDatabaseLongTermRetentionBackup', 
               'Remove-AzSqlInstanceDatabaseLongTermRetentionBackup', 
               'Get-AzSqlInstanceDatabaseBackupLongTermRetentionPolicy', 
               'Set-AzSqlInstanceDatabaseBackupLongTermRetentionPolicy', 
               'Disable-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Invoke-AzSqlInstanceFailover', 
               'Enable-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Start-AzSqlInstanceDatabaseLogReplay', 
               'Complete-AzSqlInstanceDatabaseLogReplay', 
               'Stop-AzSqlInstanceDatabaseLogReplay', 
               'Get-AzSqlInstanceDatabaseLogReplay', 
               'Disable-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Enable-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlServerTrustGroup', 'New-AzSqlServerTrustGroup', 
               'Remove-AzSqlServerTrustGroup', 
               'Enable-AzSqlDatabaseLedgerDigestUpload', 
               'Disable-AzSqlDatabaseLedgerDigestUpload', 
               'Get-AzSqlDatabaseLedgerDigestUpload', 
               'New-AzSqlInstanceServerTrustCertificate', 
               'Get-AzSqlInstanceServerTrustCertificate', 
               'Remove-AzSqlInstanceServerTrustCertificate', 
               'New-AzSqlInstanceLink', 'Get-AzSqlInstanceLink', 
               'Remove-AzSqlInstanceLink', 'Update-AzSqlInstanceLink', 
               'Get-AzSqlInstanceEndpointCertificate', 'Set-AzSqlInstanceDatabase', 
               'Get-AzSqlDatabaseAdvancedThreatProtectionSetting', 
               'Get-AzSqlServerAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceDatabaseAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceAdvancedThreatProtectionSetting', 
               'Update-AzSqlDatabaseAdvancedThreatProtectionSetting', 
               'Update-AzSqlServerAdvancedThreatProtectionSetting', 
               'Update-AzSqlInstanceDatabaseAdvancedThreatProtectionSetting', 
               'Update-AzSqlInstanceAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceDtc', 'Set-AzSqlInstanceDtc', 
               'Invoke-AzSqlDatabaseTransparentDataEncryptionProtectorRevalidation', 
               'Invoke-AzSqlDatabaseTransparentDataEncryptionProtectorRevert', 
               'Invoke-AzSqlServerTransparentDataEncryptionProtectorRevalidation', 
               'Invoke-AzSqlInstanceTransparentDataEncryptionProtectorRevalidation', 
               'Get-AzSqlServerConfigurationOption', 
               'Set-AzSqlServerConfigurationOption', 
               'Enable-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Disable-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Get-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Copy-AzSqlInstanceDatabase', 'Move-AzSqlInstanceDatabase', 
               'Complete-AzSqlInstanceDatabaseMove', 
               'Complete-AzSqlInstanceDatabaseCopy', 
               'Stop-AzSqlInstanceDatabaseMove', 'Stop-AzSqlInstanceDatabaseCopy', 
               'Get-AzSqlInstanceDatabaseCopyOperation', 
               'Get-AzSqlInstanceDatabaseMoveOperation', 'Start-AzSqlInstance', 
               'Stop-AzSqlInstance', 'Get-AzSqlInstanceStartStopSchedule', 
               'New-AzSqlInstanceStartStopSchedule', 
               'Remove-AzSqlInstanceStartStopSchedule', 
               'New-AzSqlInstanceScheduleItem'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'Get-AzSqlDatabaseServerAuditingPolicy', 
               'Remove-AzSqlDatabaseServerAuditing', 
               'Set-AzSqlDatabaseServerAuditingPolicy', 
               'Use-AzSqlDatabaseServerAuditingPolicy', 
               'Get-AzSqlDatabaseLongTermRetentionPolicy', 
               'Set-AzSqlDatabaseLongTermRetentionPolicy', 
               'Update-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Update-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Set-AzSqlInstanceTDEProtector', 'Get-AzSqlInstanceTDEProtector', 
               'Set-AzSqlServerTrustGroup', 'Set-AzSqlInstanceLink'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Sql','Database'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Added new parameters to ''New-AzSqlDatabaseFailoverGroup'', ''Set-AzSqlDatabaseFailoverGroup''
    - PartnerServers
    - ReadOnlyEndpointTargetServer
* Added ''UseFreeLimit'' and ''FreeLimitExhaustionBehavior'' parameters to ''New-AzSqlDatabase'', ''Get-AzSqlDatabase'', ''Set-AzSqlDatabase''
* Added new cmdlets for Elastic Job Private Endpoints ''Get-AzSqlElasticJobPrivateEndpoint'', ''New-AzSqlElasticJobPrivateEndpoint'', ''Remove-AzSqlElasticJobPrivateEndpoint''
* Added new parameters ''WorkerCount'', ''SkuName'', ''Identity'' to ''AzSqlElasticJobAgent'' cmdlets
* Added support for optional SQL auth for Elastic Job Agent cmdlets
*   - The following parameters are now optional: ''CredentialName'', ''OutputCredentialName'', ''RefreshCredentialName'''

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIIoKQYJKoZIhvcNAQcCoIIoGjCCKBYCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCAT7TGdHCeEkpvN
# oPJJ6/kgZQhJ20hUYhNaYl/cf/oE7qCCDXYwggX0MIID3KADAgECAhMzAAADTrU8
# esGEb+srAAAAAANOMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMwMzE2MTg0MzI5WhcNMjQwMzE0MTg0MzI5WjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQDdCKiNI6IBFWuvJUmf6WdOJqZmIwYs5G7AJD5UbcL6tsC+EBPDbr36pFGo1bsU
# p53nRyFYnncoMg8FK0d8jLlw0lgexDDr7gicf2zOBFWqfv/nSLwzJFNP5W03DF/1
# 1oZ12rSFqGlm+O46cRjTDFBpMRCZZGddZlRBjivby0eI1VgTD1TvAdfBYQe82fhm
# WQkYR/lWmAK+vW/1+bO7jHaxXTNCxLIBW07F8PBjUcwFxxyfbe2mHB4h1L4U0Ofa
# +HX/aREQ7SqYZz59sXM2ySOfvYyIjnqSO80NGBaz5DvzIG88J0+BNhOu2jl6Dfcq
# jYQs1H/PMSQIK6E7lXDXSpXzAgMBAAGjggFzMIIBbzAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQUnMc7Zn/ukKBsBiWkwdNfsN5pdwAw
# RQYDVR0RBD4wPKQ6MDgxHjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEW
# MBQGA1UEBRMNMjMwMDEyKzUwMDUxNjAfBgNVHSMEGDAWgBRIbmTlUAXTgqoXNzci
# tW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3JsMGEG
# CCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3J0
# MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIBAD21v9pHoLdBSNlFAjmk
# mx4XxOZAPsVxxXbDyQv1+kGDe9XpgBnT1lXnx7JDpFMKBwAyIwdInmvhK9pGBa31
# TyeL3p7R2s0L8SABPPRJHAEk4NHpBXxHjm4TKjezAbSqqbgsy10Y7KApy+9UrKa2
# kGmsuASsk95PVm5vem7OmTs42vm0BJUU+JPQLg8Y/sdj3TtSfLYYZAaJwTAIgi7d
# hzn5hatLo7Dhz+4T+MrFd+6LUa2U3zr97QwzDthx+RP9/RZnur4inzSQsG5DCVIM
# pA1l2NWEA3KAca0tI2l6hQNYsaKL1kefdfHCrPxEry8onJjyGGv9YKoLv6AOO7Oh
# JEmbQlz/xksYG2N/JSOJ+QqYpGTEuYFYVWain7He6jgb41JbpOGKDdE/b+V2q/gX
# UgFe2gdwTpCDsvh8SMRoq1/BNXcr7iTAU38Vgr83iVtPYmFhZOVM0ULp/kKTVoir
# IpP2KCxT4OekOctt8grYnhJ16QMjmMv5o53hjNFXOxigkQWYzUO+6w50g0FAeFa8
# 5ugCCB6lXEk21FFB1FdIHpjSQf+LP/W2OV/HfhC3uTPgKbRtXo83TZYEudooyZ/A
# Vu08sibZ3MkGOJORLERNwKm2G7oqdOv4Qj8Z0JrGgMzj46NFKAxkLSpE5oHQYP1H
# tPx1lPfD7iNSbJsP6LiUHXH1MIIHejCCBWKgAwIBAgIKYQ6Q0gAAAAAAAzANBgkq
# hkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5
# IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEwOTA5WjB+MQswCQYDVQQG
# EwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwG
# A1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYDVQQDEx9NaWNyb3NvZnQg
# Q29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIIC
# CgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+laUKq4BjgaBEm6f8MMHt03
# a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc6Whe0t+bU7IKLMOv2akr
# rnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4Ddato88tt8zpcoRb0Rrrg
# OGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+lD3v++MrWhAfTVYoonpy
# 4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nkkDstrjNYxbc+/jLTswM9
# sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6A4aN91/w0FK/jJSHvMAh
# dCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmdX4jiJV3TIUs+UsS1Vz8k
# A/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL5zmhD+kjSbwYuER8ReTB
# w3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zdsGbiwZeBe+3W7UvnSSmn
# Eyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3T8HhhUSJxAlMxdSlQy90
# lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS4NaIjAsCAwEAAaOCAe0w
# ggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRIbmTlUAXTgqoXNzcitW2o
# ynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTALBgNVHQ8EBAMCAYYwDwYD
# VR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBDuRQFTuHqp8cx0SOJNDBa
# BgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20vcGtpL2Ny
# bC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3JsMF4GCCsG
# AQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3dy5taWNyb3NvZnQuY29t
# L3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3J0MIGfBgNV
# HSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEFBQcCARYzaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1hcnljcHMuaHRtMEAGCCsG
# AQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkAYwB5AF8AcwB0AGEAdABl
# AG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn8oalmOBUeRou09h0ZyKb
# C5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7v0epo/Np22O/IjWll11l
# hJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0bpdS1HXeUOeLpZMlEPXh6
# I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/KmtYSWMfCWluWpiW5IP0
# wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvyCInWH8MyGOLwxS3OW560
# STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBpmLJZiWhub6e3dMNABQam
# ASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJihsMdYzaXht/a8/jyFqGa
# J+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYbBL7fQccOKO7eZS/sl/ah
# XJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbSoqKfenoi+kiVH6v7RyOA
# 9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sLgOppO6/8MO0ETI7f33Vt
# Y5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtXcVZOSEXAQsmbdlsKgEhr
# /Xmfwb1tbWrJUnMTDXpQzTGCGgkwghoFAgEBMIGVMH4xCzAJBgNVBAYTAlVTMRMw
# EQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
# aWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNp
# Z25pbmcgUENBIDIwMTECEzMAAANOtTx6wYRv6ysAAAAAA04wDQYJYIZIAWUDBAIB
# BQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEO
# MAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEICZr0pozF+emR3Pm9MYya1Un
# HQIHsoUgdLG8xzA+aIyLMEIGCisGAQQBgjcCAQwxNDAyoBSAEgBNAGkAYwByAG8A
# cwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20wDQYJKoZIhvcNAQEB
# BQAEggEAF/biWgLg+KlEPgbgaaU1V84gZN3m8qoQs4XwcS2EUmdqDVpN0jkSD9Hx
# DBSRyvrKzoGwkijPoc3UKVDw9p2Ray+mcIqnjieGZJuBWVg8n59Kk6deENtDadJV
# jyQL9MMI16kt6naOF9xj/y1m5M4G2/6sYnSB5vveimqALyQcmYXrklbmEbamfeJy
# vBcHMFuRZVPzw5CR7stTwEU73Q+AR7nFMJ00dbSp+B+2z+E26dIMjLbxn1EuRuqw
# gfN2OUgfe8/vnqjHsvsJOTl0gBS4LP5ZHlezLGtXTmbnW4CGx15KE2XXDICu7gT5
# knuxG889EqxZm99hWUnKSuyL/kTN2aGCF5MwghePBgorBgEEAYI3AwMBMYIXfzCC
# F3sGCSqGSIb3DQEHAqCCF2wwghdoAgEDMQ8wDQYJYIZIAWUDBAIBBQAwggFRBgsq
# hkiG9w0BCRABBKCCAUAEggE8MIIBOAIBAQYKKwYBBAGEWQoDATAxMA0GCWCGSAFl
# AwQCAQUABCAKqrHbRu9vByPygzAiMycOTpLpUEqwqmaFx2nflvZAAAIGZSiQY4Lo
# GBIyMDIzMTExMDA1MTQyMi44M1owBIACAfSggdGkgc4wgcsxCzAJBgNVBAYTAlVT
# MRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQK
# ExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xJTAjBgNVBAsTHE1pY3Jvc29mdCBBbWVy
# aWNhIE9wZXJhdGlvbnMxJzAlBgNVBAsTHm5TaGllbGQgVFNTIEVTTjpEQzAwLTA1
# RTAtRDk0NzElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2VydmljZaCC
# EeowggcgMIIFCKADAgECAhMzAAAB0iEkMUpYvy0RAAEAAAHSMA0GCSqGSIb3DQEB
# CwUAMHwxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQH
# EwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xJjAkBgNV
# BAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1wIFBDQSAyMDEwMB4XDTIzMDUyNTE5MTIy
# MVoXDTI0MDIwMTE5MTIyMVowgcsxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNo
# aW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29y
# cG9yYXRpb24xJTAjBgNVBAsTHE1pY3Jvc29mdCBBbWVyaWNhIE9wZXJhdGlvbnMx
# JzAlBgNVBAsTHm5TaGllbGQgVFNTIEVTTjpEQzAwLTA1RTAtRDk0NzElMCMGA1UE
# AxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2VydmljZTCCAiIwDQYJKoZIhvcNAQEB
# BQADggIPADCCAgoCggIBANxgiELRAj9I9pPn6dhIGxJ2EE87ZJczjRXLKDwWrVM+
# sw0PPEKHFZQPt9srBgZKw42C2ONV53kdKHmKXvmM1pxvpOtnC5f5Db75/b/wILK7
# xNjSvEQicPdOPnZtbPlBFZVB6N90ID+fpnOKeFxlnv5V6VaBN9gLusOuFfdMFfz1
# 6WpeYhI5UhZ5eJEryH2EfpJeCOFAYZBt/ZtIzu4aQrMn+lnYu+VPOr6Y5b2I/aNx
# gQDhuk966umCUtVRKcYZAuaNCntJ3LXATnZaM8p0ucEXoluZJEQz8OP1nuiTFE1S
# NhJ2DK9nUtZKKWFX/B6BhdVDo/0wqNGcTwIjkowearsSweEgErQH310VDJ0vW924
# Lt5YSPPPnln8PIfoeXZI85/kpniUd/oxTC2Bp/4x5nGRbSLGH+8vWZfxWwlMdrwA
# f7SX/12dbMUwUUkUbuD3mccnoyZg+t+ah4o5GjIRBGxK6zaoKukyOD8/dn1YkC0U
# ahdgwPX02vMbhQU+lVuXc3Ve8bj+6V2jX5qcGkNiHFBTuTWB8efpDF1RTROysn8k
# K8t99Lz1vhVeUhrGdUXpBmH4nvEtQ0a0SaPp3A/OgJ8vvOoNkm+ay9g2TWVxvJXE
# wiAMU+gDZ9k9ccXt3FqEzZkbsAC3e9kSIy0LoT9yItFwjDOUmsGIcR6cg+/FbXmr
# AgMBAAGjggFJMIIBRTAdBgNVHQ4EFgQUILaftydHdOg/+RsRnZckUWZnWSQwHwYD
# VR0jBBgwFoAUn6cVXQBeYl2D9OXSZacbUzUZ6XIwXwYDVR0fBFgwVjBUoFKgUIZO
# aHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jcmwvTWljcm9zb2Z0JTIw
# VGltZS1TdGFtcCUyMFBDQSUyMDIwMTAoMSkuY3JsMGwGCCsGAQUFBwEBBGAwXjBc
# BggrBgEFBQcwAoZQaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9jZXJ0
# cy9NaWNyb3NvZnQlMjBUaW1lLVN0YW1wJTIwUENBJTIwMjAxMCgxKS5jcnQwDAYD
# VR0TAQH/BAIwADAWBgNVHSUBAf8EDDAKBggrBgEFBQcDCDAOBgNVHQ8BAf8EBAMC
# B4AwDQYJKoZIhvcNAQELBQADggIBALDmKrQTLQuUB3PY9ypyFHBbl35+K00hIK+o
# PQTpb8DKJOT5MzdaFhNrFDak/o6vio5X4O7v8v6TXyBivWmGyHFUxWdc1x2N5wy1
# NZQ5UDBsmh5YdoCCSc0gzNcrf7OC4blNVwsSH8JUzLUnso8TxDQLPno2BbN326sb
# 6yFIMqQp2E5g9cX3vQyvUYIUWl7WheMTLppL4d5q+nbCbLrmZu7QBxQ48Sf6FiqK
# OAtdI+q+4WY46jlSdJXroO/kV2SorurkNF6jH1E8RlwdRr7YFQo+On51DcPhz0gf
# zvbsqMwPw5dmiYP0Dwyv99wOfkUjuV9lzyCFhzuylgpM7/Rn1hFFqaFVbHGsiwE3
# kutaH7Xyyhcn74R5KPNJh2AZZg+DXqEv/sDJ3HgrP9YFNSZsaKJVRwT8jRpBTZT/
# Q3NSIgUhbzRK/F4Nafoj6HJWD+x0VIAs/klPvAB7zNO+ysjaEykRUt1K0UAypqcV
# iq3BlTkWgCyg9nuHUSVaYotmReTx4+4AvO01jXKx47RPB254gZwjAi2uUFiDVek/
# PX6kyEYxVuV7ooe6doqjkr+V04zSZBBPhWODplvNEhVGgNwCtDn//TzvmM5S8m1j
# JzseXTiNya+MQhcLceORRi+AcRYvRAX/h/u8sByFoRnzf3/cZg52oflVWdmtQgFA
# HoNNpQgsMIIHcTCCBVmgAwIBAgITMwAAABXF52ueAptJmQAAAAAAFTANBgkqhkiG
# 9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAO
# BgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEy
# MDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5IDIw
# MTAwHhcNMjEwOTMwMTgyMjI1WhcNMzAwOTMwMTgzMjI1WjB8MQswCQYDVQQGEwJV
# UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UE
# ChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGlt
# ZS1TdGFtcCBQQ0EgMjAxMDCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIB
# AOThpkzntHIhC3miy9ckeb0O1YLT/e6cBwfSqWxOdcjKNVf2AX9sSuDivbk+F2Az
# /1xPx2b3lVNxWuJ+Slr+uDZnhUYjDLWNE893MsAQGOhgfWpSg0S3po5GawcU88V2
# 9YZQ3MFEyHFcUTE3oAo4bo3t1w/YJlN8OWECesSq/XJprx2rrPY2vjUmZNqYO7oa
# ezOtgFt+jBAcnVL+tuhiJdxqD89d9P6OU8/W7IVWTe/dvI2k45GPsjksUZzpcGkN
# yjYtcI4xyDUoveO0hyTD4MmPfrVUj9z6BVWYbWg7mka97aSueik3rMvrg0XnRm7K
# MtXAhjBcTyziYrLNueKNiOSWrAFKu75xqRdbZ2De+JKRHh09/SDPc31BmkZ1zcRf
# NN0Sidb9pSB9fvzZnkXftnIv231fgLrbqn427DZM9ituqBJR6L8FA6PRc6ZNN3SU
# HDSCD/AQ8rdHGO2n6Jl8P0zbr17C89XYcz1DTsEzOUyOArxCaC4Q6oRRRuLRvWoY
# WmEBc8pnol7XKHYC4jMYctenIPDC+hIK12NvDMk2ZItboKaDIV1fMHSRlJTYuVD5
# C4lh8zYGNRiER9vcG9H9stQcxWv2XFJRXRLbJbqvUAV6bMURHXLvjflSxIUXk8A8
# FdsaN8cIFRg/eKtFtvUeh17aj54WcmnGrnu3tz5q4i6tAgMBAAGjggHdMIIB2TAS
# BgkrBgEEAYI3FQEEBQIDAQABMCMGCSsGAQQBgjcVAgQWBBQqp1L+ZMSavoKRPEY1
# Kc8Q/y8E7jAdBgNVHQ4EFgQUn6cVXQBeYl2D9OXSZacbUzUZ6XIwXAYDVR0gBFUw
# UzBRBgwrBgEEAYI3TIN9AQEwQTA/BggrBgEFBQcCARYzaHR0cDovL3d3dy5taWNy
# b3NvZnQuY29tL3BraW9wcy9Eb2NzL1JlcG9zaXRvcnkuaHRtMBMGA1UdJQQMMAoG
# CCsGAQUFBwMIMBkGCSsGAQQBgjcUAgQMHgoAUwB1AGIAQwBBMAsGA1UdDwQEAwIB
# hjAPBgNVHRMBAf8EBTADAQH/MB8GA1UdIwQYMBaAFNX2VsuP6KJcYmjRPZSQW9fO
# mhjEMFYGA1UdHwRPME0wS6BJoEeGRWh0dHA6Ly9jcmwubWljcm9zb2Z0LmNvbS9w
# a2kvY3JsL3Byb2R1Y3RzL01pY1Jvb0NlckF1dF8yMDEwLTA2LTIzLmNybDBaBggr
# BgEFBQcBAQROMEwwSgYIKwYBBQUHMAKGPmh0dHA6Ly93d3cubWljcm9zb2Z0LmNv
# bS9wa2kvY2VydHMvTWljUm9vQ2VyQXV0XzIwMTAtMDYtMjMuY3J0MA0GCSqGSIb3
# DQEBCwUAA4ICAQCdVX38Kq3hLB9nATEkW+Geckv8qW/qXBS2Pk5HZHixBpOXPTEz
# tTnXwnE2P9pkbHzQdTltuw8x5MKP+2zRoZQYIu7pZmc6U03dmLq2HnjYNi6cqYJW
# AAOwBb6J6Gngugnue99qb74py27YP0h1AdkY3m2CDPVtI1TkeFN1JFe53Z/zjj3G
# 82jfZfakVqr3lbYoVSfQJL1AoL8ZthISEV09J+BAljis9/kpicO8F7BUhUKz/Aye
# ixmJ5/ALaoHCgRlCGVJ1ijbCHcNhcy4sa3tuPywJeBTpkbKpW99Jo3QMvOyRgNI9
# 5ko+ZjtPu4b6MhrZlvSP9pEB9s7GdP32THJvEKt1MMU0sHrYUP4KWN1APMdUbZ1j
# dEgssU5HLcEUBHG/ZPkkvnNtyo4JvbMBV0lUZNlz138eW0QBjloZkWsNn6Qo3GcZ
# KCS6OEuabvshVGtqRRFHqfG3rsjoiV5PndLQTHa1V1QJsWkBRH58oWFsc/4Ku+xB
# Zj1p/cvBQUl+fpO+y/g75LcVv7TOPqUxUYS8vwLBgqJ7Fx0ViY1w/ue10CgaiQuP
# Ntq6TPmb/wrpNPgkNWcr4A245oyZ1uEi6vAnQj0llOZ0dFtq0Z4+7X6gMTN9vMvp
# e784cETRkPHIqzqKOghif9lwY1NNje6CbaUFEMFxBmoQtB1VM1izoXBm8qGCA00w
# ggI1AgEBMIH5oYHRpIHOMIHLMQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGlu
# Z3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
# cmF0aW9uMSUwIwYDVQQLExxNaWNyb3NvZnQgQW1lcmljYSBPcGVyYXRpb25zMScw
# JQYDVQQLEx5uU2hpZWxkIFRTUyBFU046REMwMC0wNUUwLUQ5NDcxJTAjBgNVBAMT
# HE1pY3Jvc29mdCBUaW1lLVN0YW1wIFNlcnZpY2WiIwoBATAHBgUrDgMCGgMVAImm
# 0sJmwTTo22YdDMHkXVOugVIGoIGDMIGApH4wfDELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAg
# UENBIDIwMTAwDQYJKoZIhvcNAQELBQACBQDo9/VcMCIYDzIwMjMxMTEwMDAxODM2
# WhgPMjAyMzExMTEwMDE4MzZaMHQwOgYKKwYBBAGEWQoEATEsMCowCgIFAOj39VwC
# AQAwBwIBAAICBi8wBwIBAAICFNkwCgIFAOj5RtwCAQAwNgYKKwYBBAGEWQoEAjEo
# MCYwDAYKKwYBBAGEWQoDAqAKMAgCAQACAwehIKEKMAgCAQACAwGGoDANBgkqhkiG
# 9w0BAQsFAAOCAQEAMwBTuCHgAF4VX2m2VpDaUydae/KBZLHslVkiMqmj0i/I4P3C
# DvjF/0h0n8BSqJDhYEoB1xlS2tNRhest2nCRRe0hxN7p1gp5qIlgetkoXJ3dxC3t
# JegzkHRIWCVtgqDrTz5NBNrTPrDGB6YLVYS2Ut5fEBt4CPjeK3NTvYKReIvxWxYr
# m0fBLwBJh7X7Ez4sK50omW/D2ZCJu3BplBLoK5vIrzIAd+rkPBdIfQtROr939XNL
# s5BPHpt9LeBWNhrjIZAhMOcDsYh+sqeWn9XT4CZFLUeTfBMMWLdwtIKzZualLACL
# vEkcBepuqze13LHmrNUZgbdE0sI9h/aRkaJ9+TGCBA0wggQJAgEBMIGTMHwxCzAJ
# BgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25k
# MR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xJjAkBgNVBAMTHU1pY3Jv
# c29mdCBUaW1lLVN0YW1wIFBDQSAyMDEwAhMzAAAB0iEkMUpYvy0RAAEAAAHSMA0G
# CWCGSAFlAwQCAQUAoIIBSjAaBgkqhkiG9w0BCQMxDQYLKoZIhvcNAQkQAQQwLwYJ
# KoZIhvcNAQkEMSIEINoPpakrGK4nPL0eBqMVqyb9wgKeDwK3piMuUzHoE4h6MIH6
# BgsqhkiG9w0BCRACLzGB6jCB5zCB5DCBvQQgx4Agk9/fSL1ls4TFTnnsbBY1osfR
# nmzrkkWBrYN5pE4wgZgwgYCkfjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2Fz
# aGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENv
# cnBvcmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAx
# MAITMwAAAdIhJDFKWL8tEQABAAAB0jAiBCBm2VffSD4gR8h/tK5SfpwQ47czmhd0
# mqcCLhcJb1rnFzANBgkqhkiG9w0BAQsFAASCAgCyz5JDj8KKOuAskyMydCBcQWze
# KCw1JsSFXGkJyPnvATmr2HgARru8+nzDPQwXUNWXhjx7B0ejXImzoLBjIEyqCHu1
# yOJMR8YUSdV+AryWBBmnaT7US7Om9laqWdW8Lnw1g/jhE3oyNEgfbOjaDlUB6aTt
# Yg4vJjdep7ax82Gtk/T35GC2Nh2nFp2YCXdvqcSzs4QYZhKRtbR8T981CKYPGDM6
# MWMFCpHuxmzqyCK8iWvMEosBSuMrpVUhtWDKZ+jhtIRlYBj6gUl38er4Ys3wkTvP
# jCjCGUX+eiRpdbBC/YgrVmpkXsHuKkUrS1x2s/u1qFW6AGRaxZ96fQI2+1DaUy2Q
# Urj45nlyoHd33WVNYG86NDWy1KlQwmeEi+5mmpRH/2W9QXmJKlbTbY6XUfK10Trj
# y/dnINZebmalG3Lugp9qaS90rJ1NSUY8uROO7UPUKmMZ0oXEJDqEDWSxH/dbTv0E
# 88rlsnKzxKHSoZe9c9rrGHul4870D1uPVBsFl3wmuBP1TnyeQutZLwTE/8FK/nh1
# eK9Ln5ffoLuPjb7fh7Tt8eBYKe9tZIE8PiyiOv6/NHo+eD/pF/CBnu/jNjZYwgQj
# gMzihN2JXNykeimITggyP93T2j0AI+Dm5uf1fx8xIl0fSDT0ghKiPrLCB3V1EGsr
# wpBQ1eTdM0pu5fZulw==
# SIG # End signature block
